Bug 518828 - mtr not installed as a SUID binary
Summary: mtr not installed as a SUID binary
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mtr
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 12:52 UTC by Tobias Mueller
Modified: 2013-04-30 23:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-07 13:46:21 UTC


Attachments (Terms of Use)

Description Tobias Mueller 2009-08-23 12:52:09 UTC
Description of problem:
mtr is not installed as a SUID binary

Version-Release number of selected component (if applicable):
mtr-0.75-2.fc10.x86_64

How reproducible:
Try to execute mtr as an unpriviledged user

Steps to Reproduce:
1. yum install mtr
2. exectue "mtr", get the error: mtr: unable to get raw sockets.
3.$ ls -l /bin/ping{,6} /usr/sbin/mtr 
-rwsr-xr-x 1 root root 41784 26. Sep 2008  /bin/ping
-rwsr-xr-x 1 root root 36384 26. Sep 2008  /bin/ping6
-rwxr-xr-x 1 root root 62416 29. Okt 2008  /usr/sbin/mtr

  
Actual results:
mtr: unable to get raw sockets.

Expected results:
I expected mtr to execute fine for the same reasons I expect ping to execute fine.

Additional info:

Comment 2 Bug Zapper 2009-11-18 12:12:32 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Adam Tkac 2009-12-07 13:46:21 UTC
Fixed in mtr-0.75-6.fc13. If you would like to backport the fix to older releases please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.